Skip to main content
PUT
/
organizations
/
{organizationId}
Update an organization by ID
curl --request PUT \
  --url https://app.dynamicauth.com/api/v0/organizations/{organizationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "An example name",
  "description": "An example name",
  "websiteUrl": "https://website-sample.com"
}
'
{
  "organization": {
    "id": "95b11417-f18f-457f-8804-68e361f9164f",
    "name": "Acme Corp",
    "description": "An example name",
    "websiteUrl": "https://website-sample.com",
    "address": {
      "addressLine1": "An example name",
      "addressLine2": "An example name",
      "city": "An example name",
      "region": "An example name",
      "postalCode": "An example name",
      "country": "US"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

ID of organization

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json

User new fields data

name
string
required
Maximum string length: 255
Pattern: ^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

description
string
Maximum string length: 255
Pattern: ^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

websiteUrl
string
Maximum string length: 255
Pattern: ^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$
Example:

"https://website-sample.com"

Response

successful operation - organization fields updated

organization
object